Loading...
Searching...
No Matches
pcl::PointXYZRGBA Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the RGBA color. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZRGBA:

## Public Member Functions

constexpr | PointXYZRGBA (const _PointXYZRGBA &p)
constexpr | PointXYZRGBA ()
constexpr | PointXYZRGBA (std::uint8_t _r, std::uint8_t _g, std::uint8_t _b, std::uint8_t _a)
constexpr | PointXYZRGBA (float _x, float _y, float _z)
constexpr | PointXYZRGBA (float _x, float _y, float _z, std::uint8_t _r, std::uint8_t _g, std::uint8_t _b, std::uint8_t _a)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZRGBA &p)

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the RGBA color.

The RGBA information is available either as separate r, g, b, or as a packed std::uint32_t rgba value. To pack it, use:

int rgb = ((int)r) << 16 | ((int)g) << 8 | ((int)b);

To unpack it use:

int rgb = ...;
std::uint8_t r = (rgb >> 16) & 0x0000ff;
std::uint8_t g = (rgb >> 8) & 0x0000ff;
std::uint8_t b = (rgb) & 0x0000ff;

Definition at line 556 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZRGBA() [1/5]

constexpr pcl::PointXYZRGBA::PointXYZRGBA | ( | const _PointXYZRGBA & | p | ) |

inline constexpr

Definition at line 558 of file point_types.hpp.

## PointXYZRGBA() [2/5]

constexpr pcl::PointXYZRGBA::PointXYZRGBA | ( |  | ) |

inline constexpr

Definition at line 560 of file point_types.hpp.

## PointXYZRGBA() [3/5]

constexpr pcl::PointXYZRGBA::PointXYZRGBA | ( | std::uint8_t | _r,
|  | std::uint8_t | _g,
|  | std::uint8_t | _b,
|  | std::uint8_t | _a
| ) |  |

inline constexpr

Definition at line 562 of file point_types.hpp.

## PointXYZRGBA() [4/5]

constexpr pcl::PointXYZRGBA::PointXYZRGBA | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline constexpr

Definition at line 565 of file point_types.hpp.

## PointXYZRGBA() [5/5]

constexpr pcl::PointXYZRGBA::PointXYZRGBA | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | std::uint8_t | _r,
|  | std::uint8_t | _g,
|  | std::uint8_t | _b,
|  | std::uint8_t | _a
| ) |  |

inline constexpr

Definition at line 568 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointXYZRGBA & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp